[sword-devel] installmgr: please test

Brook Humphrey sword-devel@crosswire.org
Mon, 12 Mar 2001 05:07:48 -0800

On Sunday 11 March 2001 21:58, you wrote:
> > Here goes. Sorry ahead of time for the bug reports.
> > this is on a linux mandrake box running mandrake 7.2 with updates and kde
> > 2.1 and gnome 1.2.1. I have almost everything installed. I ran the
> > install from my hard drive rather than burning a cd first.
> These reports sound like you're using an older version.  Did you
> download the installer from the /pub/sword/iso/latest/tmp directory?  I
> have not yet created a new ISO image from the 'latest' directory that
> includes the newest stuff, so you'll have to get it from the live
> directory.

Yes I did this from the latest directory I will say that my system Is kind of 
hacked right now I added kde 2.1 to mandrake 7.2 distro and some things are a 
little funny. But I don't want to goto 8.0beta yet.

By the way I tried the cd I made from the latest directory which I downloaded 
just a few nights ago on mandrake8.0 beta and it worked just fine. So it is 
probably something with my machine. 

howeve on 8.0beta the static bibletime still has messed up icons but 
otherwise seems to work and gnomesword crashed the whole system completely. 
The next thing I saw was a bios boot screen for the video card.

Mandrake8.0 is using the newer glibc I think its 2.2 so I will need to 
recompile the rpm's for it. I will also try to compile them static. So that 
they should be backwards compatible with older systems.

> > 3. On mandrake the install paths should be /usr/bin and /usr/share/sword.
> > If I remember correct this will be the same for redhat 7.0 and up. On
> > mandrake the default install of /usr/local/bin and /usr/local/sword still
> > works however installmgr correctly installs the modules in
> > /usr/share/sword and the /etc/sword.conf correctly shows this for the
> > datapath.

this is still valid

> > 7. cheatah works well and only sees the modules I selcted for install.
> >
> > 8. gnomesword will not even load. it complains about not being able to
> > load shared libraries. libgnomeprint.so. when I install the rpm compiled
> > on mandrake it runs with no problems. this rpm is already on the cd.

I'll try to get gnomesword as a static also. For now the rpm's should work 
accept on mandrake 8.0

also I need to update the mandrake rpm's to use the mandrake menu's.

> >
> > one last thing I would like to update a few more files for the cd today.
> >
> > > Thanks,
> > >               -Troy.